SUSE: 2019:2114-1 moderate: python

    Date 12 Aug 2019
    642
    Posted By LinuxSecurity Advisories
    An update that fixes one vulnerability is now available.
    
       SUSE Security Update: Security update for python
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:2114-1
    Rating:             moderate
    References:         #1141853 
    Cross-References:   CVE-2018-20852
    Affected Products:
                        SUSE Linux Enterprise Module for Python2 15-SP1
                        SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
                        SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
                        SUSE Linux Enterprise Module for Desktop Applications 15-SP1
                        SUSE Linux Enterprise Module for Desktop Applications 15
                        SUSE Linux Enterprise Module for Basesystem 15-SP1
                        SUSE Linux Enterprise Module for Basesystem 15
    ______________________________________________________________________________
    
       An update that fixes one vulnerability is now available.
    
    Description:
    
       This update for python fixes the following issues:
    
       - CVE-2018-20852: Fixed an information leak where cookies could be send to
         the wrong server because of incorrect domain validation (bsc#1141853).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Python2 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Python2-15-SP1-2019-2114=1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2114=1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    
          zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-2114=1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-2114=1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15:
    
          zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-2114=1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2019-2114=1
    
       - SUSE Linux Enterprise Module for Basesystem 15:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-2114=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Python2 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          python-base-debuginfo-2.7.14-7.17.1
          python-base-debugsource-2.7.14-7.17.1
          python-curses-2.7.14-7.17.1
          python-curses-debuginfo-2.7.14-7.17.1
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-devel-2.7.14-7.17.1
          python-gdbm-2.7.14-7.17.1
          python-gdbm-debuginfo-2.7.14-7.17.1
          python-xml-2.7.14-7.17.1
          python-xml-debuginfo-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-demo-2.7.14-7.17.1
          python-idle-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    
          python-doc-2.7.14-7.17.1
          python-doc-pdf-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (x86_64):
    
          libpython2_7-1_0-32bit-2.7.14-7.17.1
          libpython2_7-1_0-32bit-debuginfo-2.7.14-7.17.1
          python-32bit-2.7.14-7.17.1
          python-32bit-debuginfo-2.7.14-7.17.1
          python-base-32bit-2.7.14-7.17.1
          python-base-32bit-debuginfo-2.7.14-7.17.1
          python-base-debugsource-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-demo-2.7.14-7.17.1
          python-idle-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (noarch):
    
          python-doc-2.7.14-7.17.1
          python-doc-pdf-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-tk-2.7.14-7.17.1
          python-tk-debuginfo-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le s390x x86_64):
    
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-tk-2.7.14-7.17.1
          python-tk-debuginfo-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          libpython2_7-1_0-2.7.14-7.17.1
          libpython2_7-1_0-debuginfo-2.7.14-7.17.1
          python-2.7.14-7.17.1
          python-base-2.7.14-7.17.1
          python-base-debuginfo-2.7.14-7.17.1
          python-base-debugsource-2.7.14-7.17.1
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
    
       - SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    
          libpython2_7-1_0-2.7.14-7.17.1
          libpython2_7-1_0-debuginfo-2.7.14-7.17.1
          python-2.7.14-7.17.1
          python-base-2.7.14-7.17.1
          python-base-debuginfo-2.7.14-7.17.1
          python-base-debugsource-2.7.14-7.17.1
          python-curses-2.7.14-7.17.1
          python-curses-debuginfo-2.7.14-7.17.1
          python-debuginfo-2.7.14-7.17.1
          python-debugsource-2.7.14-7.17.1
          python-devel-2.7.14-7.17.1
          python-gdbm-2.7.14-7.17.1
          python-gdbm-debuginfo-2.7.14-7.17.1
          python-xml-2.7.14-7.17.1
          python-xml-debuginfo-2.7.14-7.17.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2018-20852.html
       https://bugzilla.suse.com/1141853
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://lists.suse.com/mailman/listinfo/sle-security-updates
    

    LinuxSecurity Poll

    Do you feel that the Lawful Access to Encrypted Data Act, which aims to force encryption backdoors, is a threat to US citizens' privacy?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/30-do-you-feel-that-the-lawful-access-to-encrypted-data-act-which-aims-to-force-encryption-backdoors-is-a-threat-to-privacy?task=poll.vote&format=json
    30
    radio
    [{"id":"106","title":"Yes - I am a privacy advocate and I am strongly opposed to this bill.","votes":"19","type":"x","order":"1","pct":95,"resources":[]},{"id":"107","title":"I'm undecided - it has its pros and cons.","votes":"1","type":"x","order":"2","pct":5,"resources":[]},{"id":"108","title":"No - I support this bill and feel that it will help protect against crime and threats to our national security. ","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.